
Member Nodes - Task #6886

MNDeployment # 3238 (Operational): Idaho Northwest Knowledge Network member node 

NKN: Configure SSL Certificates for Production

2015-03-12 20:17 - Laura Moyers

Status: Closed Start date: 2015-03-12

Priority: Normal Due date:  

Assignee: Mark Servilla % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

DataONE creates client certificate, MN installs client certificate, DataONE verifies successful installation of client certificate; MN

obtains/installs server certificate (req'd for Tiers 2-4, optional for Tier 1 if MN wishes to use HTTPS), DataONE verifies successful

installation of server certificate.

History

#1 - 2015-03-12 20:21 - Laura Moyers

- Assignee set to Mark Servilla

#2 - 2015-05-14 21:24 - Mark Servilla

- Status changed from New to In Progress

- % Done changed from 0 to 30

A DataONE production client certificate for urn:node:NKN was generated and published on the certificate exchange on 6 May. It was confirmed via

email that Ed Flathers was able to access and download the certificate bundle:

From: flathers@uidaho.edu Flathers, Edward (flathers@uidaho.edu)

To:

Date: Thu, 7 May 2015 17:27:50 -0600

Subject: RE: NKN Production client certificate 

Thanks, Mark.  I was able to log in and download the zip file containing the cert files.  I'll get to work on the new VM as soon as our sysadmin

clones it.

Thanks,

Ed Flathers

#3 - 2015-05-26 22:51 - Mark Servilla

- Status changed from In Progress to Closed
- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

Testing indicates that the urn:node:NKN MN successfully negotiates with the CN certificate and therefore is correctly deployed.
